import Reflux from "reflux";
import Actions from "../actions/Actions";
import Ajax from "../utils/Ajax";

const URL = 'rest/tags';

export default class TagStore extends Reflux.Store {
    constructor() {
        super();
        this.state = {
            tags: null
        };
    }

    /**
     * If tags contain a new tag, this store will reload the tags from server.
     * @param tags
     */
    onReloadTagsIfNecessary(tags) {
        let newTag = tags.find(t => !t.id);
        if (newTag) {
            // Load the tags from server
        }
    }
}
